from minieval.datatypes import LMOutput, LMRequest, SamplingParams


class MockLLM:
    def generate(self, requests: list[LMRequest], sampling_params: SamplingParams = None) -> list[list[LMOutput]]:
        # Handle repeats parameter with default value
        repeats = sampling_params.repeats if sampling_params and sampling_params.repeats else 1
        
        return [
            [
                LMOutput(
                    text=" mock continuation. The answer is (A), or \\boxed{answer}",
                    logprobs=[
                        {"token": " mock", "logprob": -0.0342},
                        {"token": " continuation", "logprob": -0.1234}, 
                        {"token": ". The", "logprob": -0.0567},
                        {"token": " answer", "logprob": -0.0891}
                    ],
                ) for _ in range(repeats)
            ]
            for _ in requests
        ]

    def logprobs(self, requests: list[LMRequest]) -> list[list[LMOutput]]:
        return [
            [
                LMOutput(text=continuation, logprobs=[
                    {"token": " mock", "logprob": -0.0342},
                    {"token": " continuation", "logprob": -0.1234}, 
                    {"token": ". The", "logprob": -0.0567},
                    {"token": " answer", "logprob": -0.0891}
                ])
                for continuation in request.continuation
            ]
            for request in requests
        ]
