import re

from minieval.datatypes import LMOutput


class CodeExtractor:
    @classmethod
    def extract_code(cls, output: LMOutput) -> list[str]:
        completion = output.text
        pattern = re.compile(r"```python\n(.*?)```", re.DOTALL)
        matches = pattern.findall(completion)
        extracted_answer = matches[0] if len(matches) >= 1 else completion
        extracted_answer = extracted_answer[extracted_answer.find(":\n    ") + 2 :]  # remove signature
        return extracted_answer
