from enum import Enum

class WriterType(str, Enum):
    local = "local"
    datalake = "datalake"


def init_writer(config, writer_type: WriterType):
    match writer_type:
        case WriterType.datalake:
            from minieval.writers.datalake.datalake import DatalakeWriter
            return DatalakeWriter(config=config)
        case WriterType.local:
            from minieval.writers.local import LocalWriter
            return LocalWriter(config=config)
        case _:
            raise ValueError(f"Unknown writer type: {writer_type}")